Last Comment Bug 333855 - Ctrl+J as a shortcut to invoke download manager
: Ctrl+J as a shortcut to invoke download manager
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Download & File Handling (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.0b2
Assigned To: zug_treno
:
Mentors:
Depends on:
Blocks: 509564
  Show dependency treegraph
 
Reported: 2006-04-13 07:10 PDT by Alan
Modified: 2010-02-16 00:54 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Diff made with Patch Maker and SeaMonkey 1.5a/20060714 (1.60 KB, patch)
2006-07-16 10:25 PDT, zug_treno
neil: superreview+
Details | Diff | Splinter Review
Second diff made with Patch Maker and SeaMonkey 1.5a/20060714 (1.61 KB, patch)
2006-07-16 15:09 PDT, zug_treno
jag-mozilla: review+
neil: superreview+
Details | Diff | Splinter Review
zug_treno's patch updated for major bitrot [Checkin: Comment 12] (2.16 KB, patch)
2009-08-07 02:42 PDT, neil@parkwaycc.co.uk
no flags Details | Diff | Splinter Review

Description Alan 2006-04-13 07:10:49 PDT
It would be nice if Ctrl+J was available for the Mozilla download manager, to match Firefox as it is sometimes convenient to have.  (Ctrl+J doesn't seem to have been used by Mozilla for anything else)
Comment 1 zug_treno 2006-07-16 10:25:17 PDT
Created attachment 229395 [details] [diff] [review]
Diff made with Patch Maker and SeaMonkey 1.5a/20060714

Ctrl+j should open the download manager with this patch.
Comment 2 Christian :Biesinger (don't email me, ping me on IRC) 2006-07-16 10:36:14 PDT
Comment on attachment 229395 [details] [diff] [review]
Diff made with Patch Maker and SeaMonkey 1.5a/20060714

I'm not really the right person for changes like this
Comment 3 neil@parkwaycc.co.uk 2006-07-16 13:31:14 PDT
Comment on attachment 229395 [details] [diff] [review]
Diff made with Patch Maker and SeaMonkey 1.5a/20060714

Switch downloadManagerKb to key_downloadManager ?
Comment 4 zug_treno 2006-07-16 15:09:00 PDT
Created attachment 229407 [details] [diff] [review]
Second diff made with Patch Maker and SeaMonkey 1.5a/20060714

(In reply to comment #3)
> Switch downloadManagerKb to key_downloadManager ?

Yes you're right, it seems that key_... is used (much) more often than ...Kb so I changed the id to key_downloadManager.
Comment 5 zug_treno 2006-08-13 08:51:20 PDT
I realize i'm a bit late with this, but could somebody check this in on the trunk (and maybe the 1.1 branch)?
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-09-12 15:19:40 PDT
I would check this in, but I'm not sure which files this should be patching in CVS (I'm guessing suite/common/tasksOverlay.xul and suite/locales/en-US/chrome/common/tasksOverlay.dtd).
Comment 7 zug_treno 2006-09-17 15:43:28 PDT
(In reply to comment #6)
> I would check this in, but I'm not sure which files this should be patching in
> CVS (I'm guessing suite/common/tasksOverlay.xul and
> suite/locales/en-US/chrome/common/tasksOverlay.dtd).

I'm not sure either, /suite/common/tasksOverlay.xul and /xpfe/communicator/resources/content/tasksOverlay.xul seem to be identical so maybe both files should be patched?
Comment 8 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-09-24 08:17:42 PDT
Removing [checkin needed] until comment 7 is addressed...
Comment 9 Krang 2006-10-01 22:57:33 PDT
(In reply to comment #7)
> I'm not sure either, /suite/common/tasksOverlay.xul and
> /xpfe/communicator/resources/content/tasksOverlay.xul seem to be identical so
> maybe both files should be patched?

When I wrote a SeaMonkey patch a couple of months ago, it was applied to both the suite/ and xpfe/ directories, so I think you're right.  See bug 133117 comment 43.
Comment 10 Robert Kaiser 2009-08-06 17:52:40 PDT
Neil, do we still want this, and if so, does this still apply in some sane way? If so, we should try to get it in, else we should resolve the bug otherwise.
Comment 11 neil@parkwaycc.co.uk 2009-08-07 02:42:22 PDT
Created attachment 393153 [details] [diff] [review]
zug_treno's patch updated for major bitrot
[Checkin: Comment 12]
Comment 12 Serge Gautherie (:sgautherie) 2009-08-10 14:13:06 PDT
Comment on attachment 393153 [details] [diff] [review]
zug_treno's patch updated for major bitrot
[Checkin: Comment 12]


http://hg.mozilla.org/comm-central/rev/d24871402e6f
Comment 13 Sander 2010-02-16 00:54:39 PST
This shortcut clashes with chatzilla's "join channel". I've filed bug 546380 proposing to change the shortcut to something else.

Note You need to log in before you can comment on or make changes to this bug.